package com.steerinfo.ems.trmenergyproperty.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class TRmEnergyProperty implements IBasePO<String> {
    /**
     * 能源属性ID(ID,VARCHAR,40)
     */
    @ApiModelProperty(value="能源属性ID",required=false)
    private String id;

    /**
     * 能源属性名称(NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="能源属性名称",required=true)
    private String name;

    /**
     * 能源属性描述(SEQNO,VARCHAR,10)
     */
    @ApiModelProperty(value="能源属性描述",required=true)
    private String seqno;

    /**
     * 排序(REMARK,VARCHAR,60)
     */
    @ApiModelProperty(value="排序",required=true)
    private String remark;

    /**
     * 能源属性类别(PROPERTYTYPE,VARCHAR,40)
     */
    @ApiModelProperty(value="能源属性类别",required=true)
    private String propertytype;

    /**
     * 创建人(CREATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="创建人",required=true)
    private String createman;

    /**
     * 创建时间(CREATETIME,DATE,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,DATE,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date updatetime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.id;
    }

    @Override
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getSeqno() {
        return seqno;
    }

    public void setSeqno(String seqno) {
        this.seqno = seqno == null ? null : seqno.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getPropertytype() {
        return propertytype;
    }

    public void setPropertytype(String propertytype) {
        this.propertytype = propertytype == null ? null : propertytype.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", seqno=").append(seqno);
        sb.append(", remark=").append(remark);
        sb.append(", propertytype=").append(propertytype);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}